/* Add here all your CSS customizations */

#datatable-tabletools td a
{
	color: #212529;
}

#notes_months .btn-default {

	color: #ccc;
	background-color: transparent;
	border-color: #ccc;
	-webkit-box-shadow: none !important;
	        box-shadow: none !important;

}

.pointer
{
    cursor: pointer;
}

#notes_months .btn-default:hover, #notes_months .btn-default:active, #notes_months .btn-default:focus, #notes_months .btn-default-active  {
	color: #1D2127;
	background-color: #ccc;
	border-color: #ccc;
}

#calendar .fc-timeline-event
{
    cursor: pointer;
}

#agenda .fc-button
{
	background-color: #FFF !important;
}

#agenda .fc-button.fc-state-active {
	background-color: #0088CC !important;
	color: #FFF !important;
}

.ui-dialog {
	z-index: 99999 !important;
}

.tooltip-inner {
    text-align: left;
    max-width: 350px;
    width: 350px; 
}

.tooltip-custom .tooltip-inner {

	text-align: left;
    max-width: 750px !important;
    width: 750px !important; 

}

.mfp-content .error-container
{
    margin-left: -140px;
}

.force-hover:hover{
    background-color: #eeeeee !important;
    cursor: pointer !important;
}

a.disabled-link {
	color: #465162 !important;
	//background-color: #fff;
	cursor: not-allowed;
}

.tooltip-hint-row, .tooltip-hint-row td a {
    color: #281 !important;
    
}

.form-errors
{
    display: none;
}

.form-errors .error-container
{
    margin-left: 0;
}


.dialog-window-content img
{
    max-width: 100px;
}

ul.companies_list
{
    width: 240px;
}

.ui-widget
{
    color: #777;
    font-family: "Open Sans", Arial, sans-serif;
    line-height: 22px;
    font-size: 13px;
}

/*
    DESIGN TWEAKS
*/


.page-title{
    display: none;
}

form table td img {
display: none;
}








div.step-menu img,div.step-menu2 img
{
	display: none; 	
}


.step-menu
{
   clear: both;
    background: #fdfdfd;
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
    border-radius: 5px;
    padding: 20px;
    text-align: right;
    margin-top: 40px;
}



.step-menu a:hover,.step-menu a:active,.step-menu a:focus,div.button-edit:hover,div.button-search:hover,div.button-apply:hover,div.button-calc:hover,div.button-add:hover,div.button-cancel:hover,div.button-remove:hover,div.button-erase:hover,div.button-mail:hover {
	color: #333;
	background-color: #e6e6e6;
	border-color: #adadad;
         text-decoration: none !important;;
}

div.button-edit,div.button-search,div.button-apply,div.button-calc,div.button-add,div.button-cancel,div.button-remove,div.button-erase,div.button-sign,div.button-mail,div.button-attach
{
    max-width: 200px;
    float: left;
    margin-right: 10px;
}
div.step-menu a,div.button-edit,div.button-search,div.button-apply,div.button-calc,div.button-add,div.button-cancel,div.button-remove,div.button-erase,div.button-attach,div.button-sign,div.button-mail
{
    border-radius: 0.3rem;
    border: 1px solid #adadad;
    font-size: 14.4px;
    font-size: 0.9rem;
    padding: 7.52px 12px;
    padding: 0.47rem 0.75rem;
    cursor: pointer;
    color: #333;
    background-color: #fff;
    border-color: #ccc;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;

}


div.step-menu a.primary {
	background-color: #0088cc;
	border-color: #0088cc #0088cc #006699;
	color: #ffffff;
}

div.step-menu a.primary:hover {
	background-color: #00a1f2;
	border-color: #00aaff #00aaff #0088cc;
	color: #ffffff;
}

div.step-menu a.primary:focus, div.step-menu a.primary:focus, div.button-edit:focus {
	-webkit-box-shadow: 0 0 0 3px rgba(204, 204, 204, 0.5);
	        box-shadow: 0 0 0 3px rgba(204, 204, 204, 0.5);
	color: #FFF;
}

div.step-menu a.primary.disabled, div.step-menu a.primary:disabled {
	background-color: #CCC;
	border-color: #CCC #CCC #b3b3b3;
}

div.step-menu a.primary:active, div.step-menu a.primary.active {
	background-color: #b9b9b9;
	background-image: none;
	border-color: #b3b3b3 #b3b3b3 #999999;
}

div.step-menu a.success {
	background-color: #47a447;
	border-color: #47a447 #47a447 #388038;
	color: #FFF;
}

div.step-menu a.success:hover, div.step-menu a.success.hover {
	background-color: #5ab75a;
	border-color: #63bb63 #63bb63 #47a447;
	color: #FFF;
}

div.step-menu a.success:focus, div.step-menu a.success.focus {
	-webkit-box-shadow: 0 0 0 3px rgba(71, 164, 71, 0.5);
	        box-shadow: 0 0 0 3px rgba(71, 164, 71, 0.5);
	color: #FFF;
}

div.step-menu a.success.disabled, div.step-menu a.success:disabled {
	background-color: #47a447;
	border-color: #47a447 #47a447 #388038;
}

div.step-menu a.success:active, div.step-menu a.success.active {
	background-color: #3b893b;
	background-image: none;
	border-color: #388038 #388038 #285d28;
}

.big-box
{
   clear: both;
    background: #fdfdfd;
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
    border-radius: 5px;
    padding: 0;
  
    margin-top: 40px;
}

.big-box .content
{
   padding: 20px; 
}

.text-box table
{
    float: none !important;
}

.big-box .title
{
    background: #f6f6f6;
    border-radius: 5px 5px 0 0 !important;
    border-bottom: 1px solid #DADADA;
    padding: 18px;
    position: relative;
    
    color: #33353F;
    font-size: 20px;
    font-weight: 400;
    line-height: 20px;
    text-transform: none;
 
}

.link2
{
   
    font-size: 16px;
    font-weight: 400;
    line-height: 18px;
    cursor: pointer;
 
}

.progress-line
{
    display: none;
}

#div-search
{
    display: none;
}

.summary-table td
{
    text-align: center;
}

.print_popup
{
    display: none;
}

.content .info
{
    margin-bottom: 15px;
    margin-top: 15px;
}

.display-none
{
    display: none;
}
.table-bordered td.head
{
    border: 1px solid #dee2e6;
    padding: 0.75rem;
    vertical-align: top;
    text-align: center;
    font-weight: 700;
}

.change-row-active
{
    background-color: #00a1f2 !important;
    cursor: pointer;
    color: #FFFFFF !important;
}

.acpopup-content
{
    color: #FFFFFF !important;
}
/* ------------------ Spaces ------------------- */

div.space-5px
{
	padding: 0;
	margin: 0;
	font-size: 0px;
	height: 5px;
}

div.space-10px
{
	padding: 0;
	margin: 0;
	font-size: 0px;
	height: 10px;
}

div.space-15px
{
	padding: 0;
	margin: 0;
	font-size: 0px;
	height: 15px;
}

div.space-20px
{
	padding: 0;
	margin: 0;
	font-size: 0px;
	height: 20px;
}

div.space-25px
{
	padding: 0;
	margin: 0;
	font-size: 0px;
	height: 25px;
}

div.space-28px
{
	padding: 0;
	margin: 0;
	font-size: 0px;
	height: 28px;
}

div.space-30px
{
	padding: 0;
	margin: 0;
	font-size: 0px;
	height: 30px;
}

div.space-35px
{
	padding: 0;
	margin: 0;
	font-size: 0px;
	height: 35px;
}

div.space-40px
{
	padding: 0;
	margin: 0;
	font-size: 0px;
	height: 40px;
}

div.space-50px
{
	padding: 0;
	margin: 0;
	font-size: 0px;
	height: 50px;
}

div.space-60px
{
	padding: 0;
	margin: 0;
	font-size: 0px;
	height: 60px;
}

div.space-70px
{
	padding: 0;
	margin: 0;
	font-size: 0px;
	height: 70px;
}

div.space-80px
{
	padding: 0;
	margin: 0;
	font-size: 0px;
	height: 80px;
}

div.space-600px
{
	padding: 0;
	margin: 0;
	font-size: 0px;
	height: 600px;
}


div.space-400px
{
	padding: 0;
	margin: 0;
	font-size: 0px;
	height: 448px;
}

.btn-warning,.btn-danger,.btn-success,.btn-info
{
    min-width: 250px;
}

.table th, .table td
{
    vertical-align: middle !important;
}

.float-left
{
    float: left !important;
}

div.text-box table span.pointer
{
    float: right;
    margin-left: 5px;
}

ul.companies_list
{
    max-height: 80vh;
    overflow: auto;
}

@keyframes scaling{
	0%, 100%{
	  transform: scale(0.2);
	  background-color: #30FFB7;
	}
	40%{
	  transform: scale(1);
	  background-color: #07DEFF;
	}
	50%{
	  transform: scale(1);
	  background-color: #0761FF;
	}
  }
  
.loading_container div {
	  height: 40px;
	  width: 40px;
	  border-radius:50%;
	  transform: scale(0);
	  background-color:red;
	  animation: scaling 2.5s ease-in-out infinite;
	  display: inline-block;
	  margin:.5rem;
	  touch-action: none;
  }
  
  .loading_container > div:nth-child(0){
	animation-delay:0s;
  }
  .loading_container > div:nth-child(1){
	animation-delay:0.2s;
  }
  .loading_container > div:nth-child(2){
	animation-delay:0.4s;
  }
  .loading_container > div:nth-child(3){
	animation-delay:0.6s;
  }
  .loading_container > div:nth-child(4){
	animation-delay:0.8s;
  }
  .loading_container > div:nth-child(5){
	animation-delay:1s;
  }
  
  .loading_container {
	position: fixed;
	display: flex;
	justify-content: center;
	align-items: center;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	z-index: 9999;
	background-color : rgba(172, 176, 173, 0.25);
  }
  
.total-table-line{

    background-color: rgba(0, 0, 0, 0.05);
    font-weight: bold;


}
  
.total-table-line td{
      text-align: center;
  }
  
  /** WSChat custom */

.porto #wschat #friends #mystatus .connected:before {
    bottom: 32%;
}

.porto #wschat.module {
    top: 6.9rem;
    height: calc(100% - 6.9rem);
}

.porto #wschat.module #chats {
    height: 100%;
    right: 0;
    transition: right 0.5s, max-width 0.5s;
}

.porto #wschat.module #friends:not(.collapsed) ~ #chats>div {
    margin: 0;
}

.porto #wschat.module #chats>.big-chat {
    top: 0;
    height: inherit;
    width: 100%;
}

@media (min-width: 541px) {
    .porto.visiochat-ready .content-body {
        margin-right: 50px;
    }
}

.porto.sidebar-right-opened #wschat.module #friends.collapsed {
    left: 50px;
}

.porto.sidebar-right-opened #wschat.module #friends {
    left: 320px;
}

.porto.sidebar-left-collapsed #wschat #chats {
    /* Left is closed */
    max-width: calc(100% - 50px - 73px - 0px);
}

.porto.sidebar-left-collapsed #wschat #friends:not(.collapsed) ~ #chats {
    /* Left is closed with friends */
    max-width: calc(100% - 320px - 73px - 0px);
}

.porto.sidebar-left-hover #wschat #chats, :not(.sidebar-left-collapsed) #wschat #chats {
    /* Left is open */
    max-width: calc(100% - 50px - 300px - 0px);
}

.porto.sidebar-left-hover #wschat #friends:not(.collapsed) ~ #chats,
.porto:not(.sidebar-left-collapsed) #wschat #friends:not(.collapsed) ~ #chats {
    /* Left is open with friends */
    max-width: calc(100% - 320px - 300px - 0px);
}

.porto.sidebar-right-opened #wschat #chats {
    /* Right is open */
    right: 250px;
    max-width: calc(100% - 50px - 73px - 300px);
}

.porto.sidebar-right-opened #wschat #friends:not(.collapsed) ~ #chats {
    /* Right is open with friends */
    right: -20px;
    max-width: calc(100% - 0px - 73px - 300px);
}

.porto.sidebar-left-hover.sidebar-right-opened #wschat #chats,
.porto:not(.sidebar-left-collapsed).sidebar-right-opened #wschat #chats {
    /* Left & Right is open */
    max-width: calc(100% - 0px - 300px - 300px);
}

.porto.sidebar-left-hover.sidebar-right-opened #wschat #friends:not(.collapsed) ~ #chats,
.porto:not(.sidebar-left-collapsed).sidebar-right-opened #wschat #friends:not(.collapsed) ~ #chats {
    /* Left & Right is open with friends */
    max-width: calc(100% - 0px - 300px - 300px);
}

.badge-lg{
    font-size: 100% !important;
}

.nouveaute {
    border: 1px solid black;
    text-align: justify;
    margin-bottom: 20px;
    padding: 10px;
    line-height: 150%;
    width: 960px;
}

form.declaration-form
{
    color: #000000 !important;
}

.header-logo-2033A,.header-logo-2033G
{
    line-height: normal !important;
    color: #000000 !important;
}

#loadingOverlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8); /* White background with opacity */
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999; /* Ensure it's above all other elements */
}

.loader {
    font-size: 24px;
    color: #000;
    text-align: center;
}

div.form-errors div.error-container
{
	padding: 10px;
	margin: 0;
	color: #FFFFFF;
	background-color: #d2322d;
	text-align: left;
        font-size: 0.85rem;
        border-radius: 0.45rem;
        border: 1px solid #ced4da;
}

div.form-errors div.error-container ul
{
	padding: 10px 0 10px 0;
	margin: 0;
	list-style: inside square;
	list-style-position: inside;
}

div.form-errors div.error-container ul li
{
	padding: 0;
	margin: 0;
	list-style: inside square;
	color: #FFFFFF !important;

}
